### Method

# GIRepository InterfaceInfo get_iface_struct

since: 2.80

#### Declaration [src]

    GIStructInfo*
    gi_interface_info_get_iface_struct (
      GIInterfaceInfo* info
    )

#### Description [src]

Returns the layout C structure associated with this `GInterface`.

Available since: 2.80

#### Return value

Type: `GIStructInfo`

The `GIStructInfo` or `NULL` if unknown. Free it with `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.